
package ar.com.supervielle.wsdl.servicios.integracion.clienteprevisional_v1;

import javax.xml.ws.WebFault;


/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:34:10.050-03:00
 * Generated source version: 3.0.3
 */

@WebFault(name = "exception", targetNamespace = "http://www.supervielle.com.ar/xsd/servicios/integracion/exception-v1")
public class FaultMessage extends java.lang.Exception {
    
    private ar.com.supervielle.xsd.servicios.integracion.exception_v1.Exception exception;

    public FaultMessage() {
        super();
    }
    
    public FaultMessage(String message) {
        super(message);
    }
    
    public FaultMessage(String message, Throwable cause) {
        super(message, cause);
    }

    public FaultMessage(String message, ar.com.supervielle.xsd.servicios.integracion.exception_v1.Exception exception) {
        super(message);
        this.exception = exception;
    }

    public FaultMessage(String message, ar.com.supervielle.xsd.servicios.integracion.exception_v1.Exception exception, Throwable cause) {
        super(message, cause);
        this.exception = exception;
    }

    public ar.com.supervielle.xsd.servicios.integracion.exception_v1.Exception getFaultInfo() {
        return this.exception;
    }
}
